<template>
  <div>
    <!-- Uncommented until further functionality is added
          <router-link
            v-slot="{ href, navigate, isActive }"
            to="/search"
            custom
          >
            <b-button
              :variant="isActive ? 'primary' : 'secondary'"
              :href="href"
              :disabled="isActive"
              @click="navigate"
              >{{ $t("Search") }}</b-button
            >
          </router-link>
    -->
    <router-link v-slot="{ href, navigate, isActive }" to="/editor" custom>
      <b-button
        :variant="isActive ? 'primary' : 'secondary'"
        :href="href"
        :disabled="isActive"
        @click="navigate"
      >
        {{ $t("Editor") }}
      </b-button>
    </router-link>
    <router-link v-slot="{ href, navigate, isActive }" to="/graph" custom>
      <b-button
        :variant="isActive ? 'primary' : 'secondary'"
        :href="href"
        :disabled="isActive"
        @click="navigate"
      >
        {{ $t("Graph") }}
      </b-button>
    </router-link>
    <router-link
      v-slot="{ href, navigate, isActive }"
      to="/metadataEditor"
      custom
    >
      <b-button
        :variant="isActive ? 'primary' : 'secondary'"
        :href="href"
        :disabled="isActive"
        @click="navigate"
      >
        {{ $t("MetadataForm") }}
      </b-button>
    </router-link>
  </div>
</template>
